Subject: Re: Increase limit on max length of the password( pg versions < 14)

From: Daniel Gustafsson <[email-masked]>
Date: Tue, 18 Jul 2023 11:40:31 +0200

> On 18 Jul 2023, at 11:30, mahendrakar s <[email-masked]> wrote:

> So we have two options:
> 1. Backport patch[1] to 11,12,13
> 2. Change ONLY the limit on the max length of the password(my patch attached).

We typically only backpatch bugfixes and not functional changes, and this seems
to fall in the latter category.

As the size of the JWT depends on the number of claims in it, are you able to
reduce the number of claims to stay under the limit as a workaround?

--
Daniel Gustafsson

---

From: mahendrakar s <[email-masked]>
Date: Tue, 18 Jul 2023 16:53:00 +0530

Access token length with bare minimal claims is more than 1000 in this case.
Workarounds are not possible in production.